import { Sx } from '@mantine/core';
import { CSSProperties, MouseEventHandler, ReactNode } from 'react';
import { DataTableColumn } from './types';
type DataTableRowCellProps<T> = {
    className?: string;
    sx?: Sx;
    style?: CSSProperties;
    record: T;
    recordIndex: number;
    defaultRender: ((record: T, index: number, accessor: string) => ReactNode) | undefined;
    onClick?: MouseEventHandler<HTMLTableCellElement>;
} & Pick<DataTableColumn<T>, 'accessor' | 'visibleMediaQuery' | 'textAlignment' | 'width' | 'ellipsis' | 'render' | 'customCellAttributes'>;
export default function DataTableRowCell<T>({ className, sx, style, visibleMediaQuery, record, recordIndex, onClick, ellipsis, textAlignment, width, accessor, render, defaultRender, customCellAttributes, }: DataTableRowCellProps<T>): JSX.Element | null;
export {};
//# sourceMappingURL=DataTableRowCell.d.ts.map